- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osglauncher.cpp File Reference

`#include <iostream>`
`#include <list>`
`#include <string>`
`#include <fstream>`
`#include <sstream>`
`#include <osg/Geode>`
`#include <osg/ShapeDrawable>`
`#include <osg/Material>`
`#include <osg/Texture2D>`
`#include <osg/Geometry>`
`#include <osg/MatrixTransform>`
`#include <osg/PositionAttitudeTransform>`
`#include <osg/BlendFunc>`
`#include <osg/ClearNode>`
`#include <osg/Depth>`
`#include <osg/Projection>`
`#include <osgUtil/Tesselator>`
`#include <osgUtil/TransformCallback>`
`#include <osgUtil/CullVisitor>`
`#include <osgUtil/Optimizer>`
`#include <osgText/Text>`
`#include <osgGA/TrackballManipulator>`
`#include <osgProducer/Viewer>`
`#include <osgDB/ReadFile>`
`#include <osgDB/FileUtils>`

Include dependency graph for osglauncher.cpp:

## Typedefs
typedef std::list< Xample >::iterator | OP
## Functions
int | runApp (std::string xapp)
osg::Node * | createHUD (osgText::Text *updateText)
void | printList ()
void | readConfFile (char *confFile)
void | SetObjectTextureState (osg::Geode *geodeCurrent, std::string texture)
osg::Geode * | createTexturedCube (float fRadius, osg::Vec3 vPosition, std::string texture, std::string geodeName)
osg::PositionAttitudeTransform * | getPATransformation (osg::Node *object, osg::Vec3 position, osg::Vec3 scale, osg::Vec3 pivot)
void | printBoundings (osg::Node *current, std::string name)
osg::Group * | setupGraph ()
int | main (int argc, char **argv)

## Typedef Documentation

typedef std::list<Xample>::iterator OP

## Function Documentation

osg::Node* createHUD | ( | osgText::Text * | updateText | ) |

osg::Geode* createTexturedCube | ( | float | fRadius,
|  | osg::Vec3 | vPosition,
|  | std::string | texture,
|  | std::string | geodeName
| ) |

osg::PositionAttitudeTransform* getPATransformation | ( | osg::Node * | object,
|  | osg::Vec3 | position,
|  | osg::Vec3 | scale,
|  | osg::Vec3 | pivot
| ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |

void printBoundings | ( | osg::Node * | current,
|  | std::string | name
| ) |

void printList | ( |  | ) |

void readConfFile | ( | char * | confFile | ) |

int runApp | ( | std::string | xapp | ) |

void SetObjectTextureState | ( | osg::Geode * | geodeCurrent,
|  | std::string | texture
| ) |

osg::Group* setupGraph | ( |  | ) |